## org.apache.batik.util.resources
Class ResourceFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.batik.util.resources.ResourceFormatException

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceFormatException

extends java.lang.RuntimeException

Signals a format error in a resource bundle

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `className` The class name of the resource bundle requested
`protected java.lang.String` `key` The name of the specific resource requested by the user

Constructor Summary
`ResourceFormatException(java.lang.String s, java.lang.String className, java.lang.String key)` Constructs a ResourceFormatException with the specified information.

Method Summary
`java.lang.String` `getClassName()` Gets parameter passed by constructor.
`java.lang.String` `getKey()` Gets parameter passed by constructor.
`java.lang.String` `toString()` Returns a printable representation of this object

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### className

    protected java.lang.String className

  The class name of the resource bundle requested

### key

    protected java.lang.String key

  The name of the specific resource requested by the user

Constructor Detail

### ResourceFormatException

    public ResourceFormatException(java.lang.String s,
                                   java.lang.String className,
                                   java.lang.String key)

  Constructs a ResourceFormatException with the specified information. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - the detail message
    `className` - the name of the resource class
    `key` - the key for the malformed resource.

Method Detail

### getClassName

    public java.lang.String getClassName()

  Gets parameter passed by constructor.

### getKey

    public java.lang.String getKey()

  Gets parameter passed by constructor.

### toString

    public java.lang.String toString()

  Returns a printable representation of this object

  Overrides:
    `toString` in class `java.lang.Throwable`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.